package com.tourism.webadmin.app.wechat.vo.shopfood;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 优选新店Vo。
 *
 * @author huangwen
 * @date 2024/10/22
 */
@Schema(description = "优选新店Vo")
@Data
public class WechatBestNewShopVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private String id;

    /**
     * 店铺名称。
     */
    @Schema(description = "店铺名称")
    private String name;

    /**
     * 店铺地址。
     */
    @Schema(description = "店铺地址")
    private String address;

    /**
     * 店铺图片。
     */
    @Schema(description = "店铺图片")
    private String url;

    /**
     * urlAfterConvert url转换后的地址。
     */
    @Schema(description = "urlAfterConvert url转换后的地址")
    private List<String> urlAfterConvert;

    /**
     * 推荐指数。
     */
    @TableField(value = "recommendation_rate")
    private Long recommendationRate;
    /**
     * 经度。
     */
    @TableField(value = "longitude")
    private BigDecimal longitude;

    /**
     * 纬度。
     */
    @TableField(value = "latitude")
    private BigDecimal latitude;
    /**
     * 销量。
     */
    @TableField(value = "total_sales")
    private Long totalSales;

    /**
     * 价格单位。
     */
    @Schema(description = "价格单位")
    private String priceUnit;

    /**
     * priceUnit 全局字典关联数据。
     */
    @Schema(description = "priceUnit 全局字典关联数据")
    private Map<String, Object> priceUnitDictMap;

}
